Web Server 2.2 Released - Feature Upgrade

Discussion in 'News' started by xing, Aug 25, 2006.

Thread Status:
Not open for further replies.
  1. xing

    xing LiteSpeed Staff

    LiteSpeed Web Server Version 2.2 has been released. This is an important feature upgrade introducing a simplified Ruby on Rails integration.

    Download: http://www.litespeedtech.com/product...rver/download/

    Changelog:

    * New: Ruby on Rails integration introduces a simplified method of binding Rails applications.
    * New: Ruby on Rails vhost template available in /lswsinstall/conf/templates/rails.xml.
    * New: Global Force GID option for suEXEC CGI/FCGI/LSAPI.
    * New: PHP suEXEC options for vhosts configured via Apache configuration file.
    * New: SNMPD Bridge + Cacti Templates introduced in /lswsinstall/add-ons/snmp_monitoring/.
    * New: Updated bundled PHP binary to 4.4.4. Installer will not overwrite php binary of existing installation.
    * Fixed: Awstats permission problem in suEXEC mode.
    * Updated: Improved documentation.

    Notes:

    Please visit our wiki for updated how-tos on the new "Easy Ruby on Rails" configuration introduced in the 2.2 release. The wiki also contains how-to doc for the new "SNMPD Bridge + Cacti Templates" add-on.
    Last edited: Aug 25, 2006
  2. LTronic

    LTronic New Member

    Great news !
    But how do we upgrade the PHP binary if the installer does not upgrade it ?
  3. xing

    xing LiteSpeed Staff

    Ltronic,
    Code:
    cd /lsws-2.2-installer-folder/
    cp admin/fcgi-bin/admin_php /mylswsinstall/fcgi-bin/php
    overwrite file? (y/n) Y
    
    Please make sure that your application and php.ini are compatible with 4.4.4. Upgrading php binary als means upgrading all your custom php extensions and it is the reason we do not overwrite active php binary.
Thread Status:
Not open for further replies.

Share This Page